package com.liquidnet.service.kylin.dto.vo.mongo;

import com.liquidnet.service.kylin.dto.param.CheckPerformanceRelationParam;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

@Data
@ApiModel
public class KylinCheckUserPerformanceVo implements Serializable,Cloneable {
    @ApiModelProperty(value = "id")
    private String checkUserId;

    @ApiModelProperty(value = "演出id数组")
    private List<CheckPerformanceRelationParam> relationParams;

    private static final KylinCheckUserPerformanceVo obj = new KylinCheckUserPerformanceVo();
    public static KylinCheckUserPerformanceVo getNew() {
        try {
            return (KylinCheckUserPerformanceVo) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new KylinCheckUserPerformanceVo();
        }
    }
}
